Skip to main content
POST
Evaluate stories

Authorizations

token
string
query
required

A plaintext token to secure your server, specified at startup in the argument --auth-token thisismysecret

Query Parameters

e2e
boolean
default:false

Perform an end-to-end evaluation on the posted stories.

Body

text/yml

Rasa Core stories in YAML format

Example:

"- story: happy path\n steps:\n - intent: greet\n - action: utter_greet\n - intent: mood_great\n - action: utter_happy\n\n- story: sad path 1\n steps:\n - intent: greet\n - action: utter_greet\n - intent: mood_unhappy\n - action: utter_cheer_up\n - action: utter_did_that_help\n - intent: affirm\n - action: utter_happy\n\n- story: sad path 2\n steps:\n - intent: greet\n - action: utter_greet\n - intent: mood_unhappy\n - action: utter_cheer_up\n - action: utter_did_that_help\n - intent: deny\n - action: utter_goodbye\n\n- story: say goodbye\n steps:\n - intent: goodbye\n - action: utter_goodbye"

Response

Success

actions
object[]
is_end_to_end_evaluation
boolean

True if evaluation is end-to-end, false otherwise

Example:

true

precision
number
f1
number
Example:

0.9333333333333333

in_training_data_fraction
number

Fraction of stories that are present in the training data of the model loaded at evaluation time.

Example:

0.8571428571428571

report
object

Sklearn classification reported extended with information about conversation accuracy.